// Sensor pins
#define sensorPower 2
#define sensorPin A0
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>

Adafruit_SSD1306 display(128,32, &Wire, 4);


void setup() {
  pinMode(sensorPower, OUTPUT);
  
  // Initially keep the sensor OFF
  digitalWrite(sensorPower, LOW);
  
  // put your setup code here, to run once:
  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
    while(true);
  }
  display.display();
  display.clearDisplay();

  
  Serial.begin(9600);
}

void loop() {
  //get the reading from the function below and print it
  display.setTextColor(WHITE);
  display.cp437(true);
  Serial.print("Analog output: ");
  Serial.println(readSensor());
  display.setCursor(0, 0);
  display.print("Analog output: ");  
  display.setCursor(100, 0); 
  display.print(readSensor());

if (readSensor() > 700){
    display.setCursor(0, 16);
    display.print("Moisture dry! ");
    }
    else{
    display.setCursor(0, 16);
    display.print("Moisture wet! ");   
}
  display.display();
  delay(1000);
  display.clearDisplay();

  
}

//  This function returns the analog soil moisture measurement
int readSensor() {
  digitalWrite(sensorPower, HIGH);  // Turn the sensor ON
  delay(10);              // Allow power to settle
  int val = analogRead(sensorPin);  // Read the analog value form sensor
  digitalWrite(sensorPower, LOW);   // Turn the sensor OFF
  return val;             // Return analog moisture value
}
